Skip to content

Get guardrail package.

GET
/backend/v1/scanner-packages/{scannerPackageId}

Retrieves a guardrail package by ID.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

scannerPackageId*
Type
string
Required
Format
"uuid"

Responses

Successful Response

application/json
JSON
{
  
"package": {
  
  
"availability": {
  
  
  
"global": false,
  
  
  
"projectIds": [
  
  
  
  
[
  
  
  
  
]
  
  
  
]
  
  
},
  
  
"direction": "string",
  
  
"id": "string",
  
  
"name": "string",
  
  
"projectId": "string",
  
  
"scannerCounts": {
  
  
  
"additionalProperties": 0
  
  
},
  
  
"scannerIds": [
  
  
  
"string"
  
  
],
  
  
"source": {
  
  
  
"type": "internal"
  
  
},
  
  
"vendored": true
  
},
  
"scanners": [
  
  
{
  
  
  
"availability": {
  
  
  
  
"global": false,
  
  
  
  
"projectIds": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
]
  
  
  
},
  
  
  
"config": {
  
  
  
  
"pattern": "string",
  
  
  
  
"type": "regex"
  
  
  
},
  
  
  
"direction": "request",
  
  
  
"id": "string",
  
  
  
"name": "string",
  
  
  
"packageId": "string",
  
  
  
"projectId": "string",
  
  
  
"scannerTemplateId": "string",
  
  
  
"source": {
  
  
  
  
"type": "internal"
  
  
  
},
  
  
  
"tags": [
  
  
  
  
[
  
  
  
  
]
  
  
  
],
  
  
  
"vendored": true,
  
  
  
"versionMeta": {
  
  
  
  
"createdAt": "string",
  
  
  
  
"createdBy": "string",
  
  
  
  
"description": "string",
  
  
  
  
"direction": "string",
  
  
  
  
"f1Score": 0,
  
  
  
  
"id": "string",
  
  
  
  
"latestDatasetResult": {
  
  
  
  
  
"datasetRunId": "string",
  
  
  
  
  
"f1Score": 0
  
  
  
  
},
  
  
  
  
"name": "string",
  
  
  
  
"published": true
  
  
  
}
  
  
}
  
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: